var index = 0;
var indexSlide = 1;
var indexSlide2 = 4;
var indexSlide3 = 6;

var fb = new Array('¡Cerca! Aunque el pensamiento crítico puede involucrar la crítica o el juicio de valor, va más allá de tan sólo identificar aspectos negativos o positivos. Intenta de nuevo.<br><br> Podemos conceptualizar con toda propiedad pensamiento crítico, pero antes, ¿qué tan preparado o preparada estás para apropiarte de él? Para responder esta pregunta, haz clic en el enlace y lee la siguiente nota periodística','Si bien el pensamiento crítico puede relacionarse con aspectos sociales relevantes, es útil para analizar todo tipo de información. Inténtalo nuevamente.<br><br> Podemos conceptualizar con toda propiedad pensamiento crítico, pero antes, ¿qué tan preparado o preparada estás para apropiarte de él? Para responder esta pregunta, haz clic en el enlace y lee la siguiente nota periodística','Prueba otra vez. Aunque el pensamiento crítico puede usarse para generar nuevas ideas, su alcance es todavía más amplio.<br><br> Podemos conceptualizar con toda propiedad pensamiento crítico, pero antes, ¿qué tan preparado o preparada estás para apropiarte de él? Para responder esta pregunta, haz clic en el enlace y lee la siguiente nota periodística','¡Correcto! El pensamiento crítico es un conjunto de habilidades que utilizas para analizar, evaluar y tomar decisiones basadas en la información recopilada desde diferentes puntos de vista.<br><br> Podemos conceptualizar con toda propiedad pensamiento crítico, pero antes, ¿qué tan preparado o preparada estás para apropiarte de él? Para responder esta pregunta, haz clic en el enlace y lee la siguiente nota periodística:');

$(document).ready(function () {
	$('.arrow-right-1').on('click', nextSlide);
	$('.arrow-right-2').on('click', nextSlide2);
	$('.arrow-right-3').on('click', nextSlide3);
	$('.feedback').on('click', nextSlide) // nextSlide
	$('.arrow-left-1').on('click', previousSlide);
	$('.arrow-left-2').on('click', previousSlide2);
	$('.arrow-left-3').on('click', previousSlide3);
	$('input[type="checkbox"]').on('click', showFeedback);
	$('#close').on('click', nextContent);
	$('.btn-img').on('click', goSlide);
	$('.arrow-right-1').hide();
	$('#btn-eje3').on('click', nextSlide3);
	$('.arrow-left-3').hide();
});

function nextSlide() {
	$('#slide'+indexSlide).hide();
	indexSlide++;
	$('#slide'+indexSlide).fadeIn();
	// $('.arrow-left-1').show();
	// showFeedback(); 
	if (indexSlide == 2) {
		$('.arrow-right-1').show();
		// $('.container .box-section4 .special').css('padding', '45px');
	} else if (indexSlide == 3) {
		$('.arrow-right-1').hide();
		// $('.container .box-section4 .special').css('padding', '45px');
	}
	$('input[type="checkbox"]').prop('checked', false).removeAttr('disabled');

}
function previousSlide() {
	$('#slide'+indexSlide).hide();
	indexSlide--;
	$('#slide'+indexSlide).fadeIn();
	
	$('.arrow-right-1').show();
	if (indexSlide == 1) {
		$('.arrow-left-1').hide();
		$('.arrow-right-1').hide();
	} else if (indexSlide == 2) {
		$('.arrow-right-1').hide();
	}
	$('.feedback-box').hide();
}

function nextSlide2() {
	$('#slide'+indexSlide2).hide();
	indexSlide2++;
	$('#slide'+indexSlide2).fadeIn();
	$('.arrow-left-2').show();
	$('.arrow-right-2').hide();
	if (indexSlide2 == 2) {
		$('.arrow-right-1').hide();
	}
}
function previousSlide2() {
	$('#slide'+indexSlide2).hide();
	indexSlide2--;
	$('#slide'+indexSlide2).fadeIn();
	// $('.arrow-left-1').show();
	if (indexSlide2 == 4) {
		$('.arrow-left-2').hide();
		$('.arrow-right-2').show();
	}
}
function nextSlide3() {
	$('#slide'+indexSlide3).hide();
	indexSlide3++;
	$('#slide'+indexSlide3).fadeIn();
	$('.arrow-left-1').show();
	if (indexSlide3 == 7) {
		$('.arrow-right-3').hide();
	} else if (indexSlide3 == 8) {
		$('.arrow-right-3').show();
	} else if (indexSlide3 == 9) {
		$('.arrow-right-3').hide();
	}
}
function previousSlide3() {
	$('#slide'+indexSlide3).hide();
	indexSlide3--;
	$('#slide'+indexSlide3).fadeIn();
	// $('.arrow-left-1').show();
	if (indexSlide3 == 4) {
		$('.arrow-left-2').hide();
		// $('.arrow-right-2').show();
	}
}
function showFeedback() {
	indexFeedback = $(this).attr('data-feedback');
	$('#feedback').html(fb[indexFeedback]);
	$('input[type="checkbox"]').attr('disabled', 'disabled');
	$('.feedback-box').fadeIn();
}
function nextContent() {
	if (index < 2) {
		$('.oct').hide();
		$('#qtn').html(qtn[index]);
		$('#opt1').html(opt1[index]);
		$('#opt2').html(opt2[index]);
		$('#opt5').html(opt3[index]);
		$('#opt4').html(opt4[index]);
		$('#fed').html(fed[index]);
		$('.box-feedback').hide();
		$('#close').on('click', nextContent);
		index++;
		$('input[type="checkbox"]').removeAttr('disabled');
		$('input[type=checkbox]').prop('checked',false);
	} else {
		$('.box-feedback').hide();
	}
}
function goSlide(i) {
	i = $(this).attr('data-slide');
	$('.slide').hide();
	$('#slide1').hide();
	$('#slide'+i).fadeIn();
	if (i == 2) {
		$('.container .box-section4 .content1').css('background-color', '#d2d836');
	} else if (i == 5) {
		$('.container .box-section4 .content1').css('background-color', '#007fa3');
	}
	indexSlide = i;
	$('.arrow-right2').css('pointer-events', 'auto');
}